function draw(VERT,SIMP);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% FEMBIF = < Finite Element Methods for Bifurcation >
%% Copyright (C) 1997  Michael Holst
%%
%% This program is free software; you can redistribute it and/or modify it
%% under the terms of the GNU General Public License as published by the Free
%% Software Foundation; either version 2 of the License, or (at your option)
%% any later version.
%%
%% This program is distributed in the hope that it will be useful, but WITHOUT
%% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
%% FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
%% more details.
%%
%% You should have received a copy of the GNU General Public License along
%% with this program; if not, write to the Free Software Foundation, Inc.,
%% 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%% Typing "help 0license" should list the GNU GPL to the screen.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Prototype:
%
%    draw(VERT,SIMP);
%
% Purpose:
%
%    Draw the finite element mesh.
%
% Author:   Michael Holst 050497
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% doit
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% recover various problem dimensions

   [N,six]  = size(VERT);
   [L,nine] = size(SIMP);
   T = 3;

%%% setup for plot

   clf;
   hold off;

%%% plot all vertices with dots

   plot(VERT(1:N,1),VERT(1:N,2), '.w')
   axis off;
   hold on;

%%% cycle through the simplices and draw the edges

   for ell = 1:L
      Xil(1:T,1:2) = VERT(SIMP(ell,1:T),1:2);
      plot([Xil(1:T,1)' Xil(1,1)], [Xil(1:T,2)' Xil(1,2)], 'w');

      %%% face info for the T face making up this simplex
      etype = facetype(SIMP(ell,5));

      %%% plot the essential boundary vertices with circles
      for i = 1:T
         j=i+1;
         if (j>T) j=1; end;
         k=j+1;
         if (k>T) k=1; end;

         if (VERT(SIMP(ell,i),4) == 1)
            plot(VERT(SIMP(ell,i),1), VERT(SIMP(ell,i),2), 'oy');
         end
         if (etype(i) ~= 0)
            Xil(1,1:2) = VERT(SIMP(ell,j),1:2);
            Xil(2,1:2) = VERT(SIMP(ell,k),1:2);
            if (etype(i) == 1)
               plot(Xil(1:2,1), Xil(1:2,2), 'r');
            else
               plot(Xil(1:2,1), Xil(1:2,2), 'g');
            end
         end
      end
   end

