function drawf(VERT,SIMP,USOL);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% FEMBIF = < Finite Element Methods for Bifurcation >
%% Copyright (C) 1997  Michael Holst
%%
%% This program is free software; you can redistribute it and/or modify it
%% under the terms of the GNU General Public License as published by the Free
%% Software Foundation; either version 2 of the License, or (at your option)
%% any later version.
%%
%% This program is distributed in the hope that it will be useful, but WITHOUT
%% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
%% FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
%% more details.
%%
%% You should have received a copy of the GNU General Public License along
%% with this program; if not, write to the Free Software Foundation, Inc.,
%% 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%% Typing "help 0license" should list the GNU GPL to the screen.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Prototype:
%
%    drawf(VERT,SIMP,USOL);
%
% Purpose:
%
%    Draw the finite element function.
%
% Author:   Michael Holst 050497
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% doit
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% recover various problem dimensions

   [N,six]  = size(VERT);
   [L,nine] = size(SIMP);
   T = 3;

%%% setup for plot

   clf;
   hold off;

%%% cycle through the simplices and draw the polygons

   C = [0.5 0.5 0.5];
   X = zeros(T,L);
   Y = zeros(T,L);
   Z = zeros(T,L);
   for simplex = 1 : L
      X(1:T,simplex) = VERT(SIMP(simplex,1:T),1);
      Y(1:T,simplex) = VERT(SIMP(simplex,1:T),2);
      Z(1:T,simplex) = USOL(SIMP(simplex,1:T));
   end;
   fill3(X,Y,Z,C);
   axis off;
   hold on;

%%% plot the essential boundary vertices with circles

   for simplex = 1 : L
      %%% plot the essential boundary vertices with circles
      for i = 1:T
         if (VERT(SIMP(simplex,i),4) == 1)
            plot3(VERT(SIMP(simplex,i),1), ...
                  VERT(SIMP(simplex,i),2), ...
                  USOL(SIMP(simplex,i)), 'or');
         end
      end
   end

