function [ftype]=facetype(sbitmap);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% FEMBIF = < Finite Element Methods for Bifurcation >
%% Copyright (C) 1997  Michael Holst
%%
%% This program is free software; you can redistribute it and/or modify it
%% under the terms of the GNU General Public License as published by the Free
%% Software Foundation; either version 2 of the License, or (at your option)
%% any later version.
%%
%% This program is distributed in the hope that it will be useful, but WITHOUT
%% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
%% FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
%% more details.
%%
%% You should have received a copy of the GNU General Public License along
%% with this program; if not, write to the Free Software Foundation, Inc.,
%% 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%% Typing "help 0license" should list the GNU GPL to the screen.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Prototype:
%
%    [ftype]=facetype(sbitmap);
%
% Purpose:
%
%    Decode face types for a given simplex integer bitmap.
%
% Author:   Michael Holst 050497
%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% doit
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   [L,one] = size(sbitmap);
   ftype = zeros(L,4);
   ftype(1:L,1) = fix((sbitmap(1:L,1)-   16*fix(sbitmap(1:L,1)/   16)) / 1);
   ftype(1:L,2) = fix((sbitmap(1:L,1)-  256*fix(sbitmap(1:L,1)/  256)) / 16);
   ftype(1:L,3) = fix((sbitmap(1:L,1)- 4096*fix(sbitmap(1:L,1)/ 4096)) / 256);
   ftype(1:L,4) = fix((sbitmap(1:L,1)-65536*fix(sbitmap(1:L,1)/65536)) / 4096);

